#!/bin/bash

# mkdir -p /opt/docker-run/redis && curl -o /opt/docker-run/redis/redis.sh https://git.zykeji.club/open/server-init/raw/master/Docker/run/redis.sh && sh /opt/docker-run/redis/redis.sh

read -r -p "请输入容器名称(默认: redis): " redisName
redisName=${redisName:"redis"}

read -r -p "请输入外部访问端口号(默认: 6379): " port
port=${port:6379}

echo "创建脚本存放目录和数据"
mkdir -p /opt/docker-run/redis/data
mkdir -p /opt/docker-run/redis/conf

echo "拉取镜像"
docker pull redis:latest
echo "运行容器"
docker run -d --name $redisName -p $port:6379 -v /opt/docker-run/redis/data:/data -v /opt/docker-run/redis/conf:/usr/local/etc/redis redis

echo "脚本执行完成"

